SuSE 10 Security Update : libsndfile (ZYPP Patch Number 7638)

Medium Nessus Plugin ID 55746


The remote SuSE 10 host is missing a security-related patch.


An integer overflow in libsndfile while processing certain PAF files has been fixed. CVE-2011-2696 has been assigned to this issue.
Additionally an divide by zero error (CVE-2009-4835) has been fixed.


Apply ZYPP patch number 7638.

See Also

Plugin Details

Severity: Medium

ID: 55746

File Name: suse_libsndfile-7638.nasl

Version: $Revision: 1.3 $

Type: local

Agent: unix

Published: 2011/08/01

Modified: 2012/05/17

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: cpe:/o:suse:suse_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2011/07/20

Reference Information

CVE: CVE-2009-4835, CVE-2011-2696